<div class="page-header">
  <h3>
    {{ 'tasks.title' | translate }}
    <button [hidden]="error" class="btn btn-primary" (click)="openTaskModal(content)">
      {{ 'tasks.newTask' | translate }}
    </button>
  </h3>
</div>

<div class="page-content">
  <div [hidden]="!error">
    <msg-box [msg]="error" [type]="'error'"></msg-box>
  </div>

  <div class="container">
    <div class="row">
      <div *ngFor="let task of tasks" class="col-sm task">
        <div class="task-header">
          {{ task.title }}
        </div>
        <div class="task-body">
          <p class="task-text">{{ task.description }}</p>
          <button (click)="deleteTask(task.hashId)" class="btn btn-light">{{ 'tasks.delete' | translate }}</button>
        </div>
      </div>
    </div>
  </div>

  <ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title">{{ 'tasks.newTask' | translate }}</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <form role="form" (submit)="addTask()" [formGroup]="simpleForm">
      <div class="modal-body">
        <div class="form-group">
          <label for="title">{{ 'tasks.newTaskTitle' | translate }}:</label>
          <input type="text" id="title" formControlName="title" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.title.errors }"/>
          <div *ngIf="submitted && form.title.errors" class="form-error">
            <div *ngIf="form.title.errors.required">{{ 'validation.required' | translate }}</div>
            <div *ngIf="form.title.errors.minlength">{{ 'validation.minlength' | translate }}</div>
          </div>
        </div>
        <div class="form-group">
          <label for="description">{{ 'tasks.newTaskDescription' | translate }}:</label>
          <textarea id="description" formControlName="description" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.description.errors }"></textarea>
          <div *ngIf="submitted && form.description.errors" class="form-error">
            <div *ngIf="form.description.errors.required">{{ 'validation.required' | translate }}</div>
            <div *ngIf="form.description.errors.minlength">{{ 'validation.minlength' | translate }}</div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Add Task</button>
        <button type="button" class="btn btn-light" (click)="modal.close()">Cancel</button>
      </div>
    </form>
  </ng-template>

</div>
